window.Gleam.initSearch([{"doc":"kirala_bbmarkdown","title":"kirala_bbmarkdown","content":"# kirala_bbmarkdown\n\nmarkdown parser and html renderer written in Gleam language ver 1.0.0.\n\n## parse markdown\n```\nimport kirala/bbmarkdown/parser\n\nfn parse_markdown(markdown: String) {\n  let ast = parser.parse(1, bit_array.from_string(markdown))\n}\n```\n\n## markdown to html\n```\nimport kirala/bbmarkdown/html_renderer\n\nfn markdown_to_html(markdown: String) -&gt; String {\n  let html = html_renderer.convert(markdown)\n}\n```\n\n## example\n- https://github.com/Yasuo-Higano/example_gleam_markdown_server","url":"index.html"},{"doc":"kirala/bbmarkdown/sub","title":"fmt","content":"pub fn fmt(a: String, b: a) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/sub.fmt\nkirala/bbmarkdown/sub fmt","url":"kirala/bbmarkdown/sub.html#fmt"},{"doc":"kirala/bbmarkdown/sub","title":"kirala/bbmarkdown/sub","content":"","url":"kirala/bbmarkdown/sub.html"},{"doc":"kirala/bbmarkdown/parser","title":"Align","content":"pub type Align {\n  AlignLeft\n  AlignRight\n  AlignCenter\n}\n\nAlignLeft\n\n\nAlignRight\n\n\nAlignCenter\n\n\nSynonyms:\nkirala/bbmarkdown/parser.Align\nkirala/bbmarkdown/parser Align","url":"kirala/bbmarkdown/parser.html#Align"},{"doc":"kirala/bbmarkdown/parser","title":"ListType","content":"pub type ListType {\n  StdList\n  OrderedList\n  CheckedList\n  UncheckedList\n}\n\nStdList\n\n\nOrderedList\n\n\nCheckedList\n\n\nUncheckedList\n\n\nSynonyms:\nkirala/bbmarkdown/parser.ListType\nkirala/bbmarkdown/parser ListType","url":"kirala/bbmarkdown/parser.html#ListType"},{"doc":"kirala/bbmarkdown/parser","title":"Token","content":"pub type Token {\n  Line(List(Token))\n  LineIndent(Int, List(Token))\n  Text(String)\n  Bold(Token)\n  Italic(Token)\n  StrikeThrough(Token)\n  MarkedText(Token)\n  InsertedText(Token)\n  Note(String, Token)\n  H(Int, Int, Token)\n  CodeBlock(String, String, String)\n  CodeSpan(String)\n  CodeLine(String)\n  BlockQuote(Int, Token)\n  ListItem(ListType, Int, Token)\n  Url(UrlData)\n  UrlLink(String, UrlData)\n  ImgLink(String, String, UrlData)\n  FootNote(String, Token)\n  FootNoteUrlDef(String, String, String)\n  Table(List(Token), List(Align), List(List(Token)))\n  DefinitionOf(Token)\n  Definition(List(Token))\n  DefinitionIs(String, Token)\n  HR\n}\n\nLine(List(Token))\n\n\nLineIndent(Int, List(Token))\n\n\nText(String)\n\n\nBold(Token)\n\n\nItalic(Token)\n\n\nStrikeThrough(Token)\n\n\nMarkedText(Token)\n\n\nInsertedText(Token)\n\n\nNote(String, Token)\n\n\nH(Int, Int, Token)\n\n\nCodeBlock(String, String, String)\n\n\nCodeSpan(String)\n\n\nCodeLine(String)\n\n\nBlockQuote(Int, Token)\n\n\nListItem(ListType, Int, Token)\n\n\nUrl(UrlData)\n\n\nUrlLink(String, UrlData)\n\n\nImgLink(String, String, UrlData)\n\n\nFootNote(String, Token)\n\n\nFootNoteUrlDef(String, String, String)\n\n\nTable(List(Token), List(Align), List(List(Token)))\n\n\nDefinitionOf(Token)\n\n\nDefinition(List(Token))\n\n\nDefinitionIs(String, Token)\n\n\nHR\n\n\nSynonyms:\nkirala/bbmarkdown/parser.Token\nkirala/bbmarkdown/parser Token","url":"kirala/bbmarkdown/parser.html#Token"},{"doc":"kirala/bbmarkdown/parser","title":"TokenRes","content":"pub type TokenRes {\n  TokenRes(Token, BitArray)\n}\n\nTokenRes(Token, BitArray)\n\n\nSynonyms:\nkirala/bbmarkdown/parser.TokenRes\nkirala/bbmarkdown/parser TokenRes","url":"kirala/bbmarkdown/parser.html#TokenRes"},{"doc":"kirala/bbmarkdown/parser","title":"UrlData","content":"pub type UrlData {\n  UrlPlain(String)\n  UrlFootNote(String)\n}\n\nUrlPlain(String)\n\n\nUrlFootNote(String)\n\n\nSynonyms:\nkirala/bbmarkdown/parser.UrlData\nkirala/bbmarkdown/parser UrlData","url":"kirala/bbmarkdown/parser.html#UrlData"},{"doc":"kirala/bbmarkdown/parser","title":"parse","content":"pub fn parse(lineno: Int, src: BitArray) -&gt; TokenRes\n\nSynonyms:\nkirala/bbmarkdown/parser.parse\nkirala/bbmarkdown/parser parse","url":"kirala/bbmarkdown/parser.html#parse"},{"doc":"kirala/bbmarkdown/parser","title":"parse_all","content":"pub fn parse_all(src: String) -&gt; List(Token)\n\nSynonyms:\nkirala/bbmarkdown/parser.parse_all\nkirala/bbmarkdown/parser parse_all","url":"kirala/bbmarkdown/parser.html#parse_all"},{"doc":"kirala/bbmarkdown/parser","title":"ret_string","content":"pub fn ret_string(bitstr: BitArray) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/parser.ret_string\nkirala/bbmarkdown/parser ret_string","url":"kirala/bbmarkdown/parser.html#ret_string"},{"doc":"kirala/bbmarkdown/parser","title":"ret_string_trim","content":"pub fn ret_string_trim(bitstr: BitArray) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/parser.ret_string_trim\nkirala/bbmarkdown/parser ret_string_trim","url":"kirala/bbmarkdown/parser.html#ret_string_trim"},{"doc":"kirala/bbmarkdown/parser","title":"kirala/bbmarkdown/parser","content":"","url":"kirala/bbmarkdown/parser.html"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert","content":"pub fn convert(src: String) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert\nkirala/bbmarkdown/html_renderer convert","url":"kirala/bbmarkdown/html_renderer.html#convert"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_bytes","content":"pub fn convert_bytes(bytes: BitArray) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_bytes\nkirala/bbmarkdown/html_renderer convert_bytes","url":"kirala/bbmarkdown/html_renderer.html#convert_bytes"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_bytes_digest","content":"pub fn convert_bytes_digest(bytes: BitArray) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_bytes_digest\nkirala/bbmarkdown/html_renderer convert_bytes_digest","url":"kirala/bbmarkdown/html_renderer.html#convert_bytes_digest"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_bytes_outline","content":"pub fn convert_bytes_outline(bytes: BitArray) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_bytes_outline\nkirala/bbmarkdown/html_renderer convert_bytes_outline","url":"kirala/bbmarkdown/html_renderer.html#convert_bytes_outline"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_digest","content":"pub fn convert_digest(src: String) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_digest\nkirala/bbmarkdown/html_renderer convert_digest","url":"kirala/bbmarkdown/html_renderer.html#convert_digest"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_outline","content":"pub fn convert_outline(src: String) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_outline\nkirala/bbmarkdown/html_renderer convert_outline","url":"kirala/bbmarkdown/html_renderer.html#convert_outline"},{"doc":"kirala/bbmarkdown/html_renderer","title":"convert_tokens_","content":"pub fn convert_tokens_(\n  tokens: List(Token),\n  symbols: Dict(String, String),\n) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.convert_tokens_\nkirala/bbmarkdown/html_renderer convert_tokens_","url":"kirala/bbmarkdown/html_renderer.html#convert_tokens_"},{"doc":"kirala/bbmarkdown/html_renderer","title":"emit","content":"pub fn emit(symbols: Dict(String, String), t: Token) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.emit\nkirala/bbmarkdown/html_renderer emit","url":"kirala/bbmarkdown/html_renderer.html#emit"},{"doc":"kirala/bbmarkdown/html_renderer","title":"emit_text","content":"pub fn emit_text(\n  symbols: Dict(String, String),\n  t: Token,\n) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.emit_text\nkirala/bbmarkdown/html_renderer emit_text","url":"kirala/bbmarkdown/html_renderer.html#emit_text"},{"doc":"kirala/bbmarkdown/html_renderer","title":"html_encode","content":"pub fn html_encode(src: String) -&gt; String\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.html_encode\nkirala/bbmarkdown/html_renderer html_encode","url":"kirala/bbmarkdown/html_renderer.html#html_encode"},{"doc":"kirala/bbmarkdown/html_renderer","title":"html_encode_","content":"pub fn html_encode_(src: BitArray, acc: BitArray) -&gt; BitArray\n\nSynonyms:\nkirala/bbmarkdown/html_renderer.html_encode_\nkirala/bbmarkdown/html_renderer html_encode_","url":"kirala/bbmarkdown/html_renderer.html#html_encode_"},{"doc":"kirala/bbmarkdown/html_renderer","title":"kirala/bbmarkdown/html_renderer","content":"","url":"kirala/bbmarkdown/html_renderer.html"},{"doc":"kirala/peasy","title":"now","content":"pub fn now() -&gt; Float\n\nSynonyms:\nkirala/peasy.now\nkirala/peasy now","url":"kirala/peasy.html#now"},{"doc":"kirala/peasy","title":"kirala/peasy","content":"","url":"kirala/peasy.html"}]);